{
  "extends": "./tsconfig.esnext-module.json",
  "compilerOptions": {
    "composite": true,
    "outDir": "../../dist/@cyberjs.on/sign-pattern"
  },
  "references": [
    {
      "path": "./src/behavioral"
    }
    // ,
    // {
    //   "path": "./creational"
    // }
  ]
  ,
  "exclude": [
/*
 * este bloco do "exclude" deve ser usado, do contrário quando o "references.path" é definido e o "include" for omitido, o compilador, recursivamente, compilará todos os arquivos ".ts" em suas respectivas pastas. O tsconfig escolhido foi este para não precisar definir o exclude em todos os tsconfig aninhados a este path.
 */
    "./"
  ]

}
